Merge branch 'upstream'
authorgregor herrmann <gregoa@debian.org>
Tue, 31 Jan 2012 18:44:53 +0000 (19:44 +0100)
committergregor herrmann <gregoa@debian.org>
Tue, 31 Jan 2012 18:44:53 +0000 (19:44 +0100)
25 files changed:
debian/changelog [new file with mode: 0644]
debian/compat [new file with mode: 0644]
debian/control [new file with mode: 0644]
debian/control.modules.in [new file with mode: 0644]
debian/copyright [new file with mode: 0644]
debian/madwifi-dkms.dirs [new file with mode: 0644]
debian/madwifi-dkms.dkms [new file with mode: 0644]
debian/madwifi-dkms.docs [new file with mode: 0644]
debian/madwifi-source.README.debian [new file with mode: 0644]
debian/madwifi-source.dirs [new file with mode: 0644]
debian/madwifi-source.docs [new file with mode: 0644]
debian/madwifi-source.links [new file with mode: 0644]
debian/madwifi-tools.050madwifi.if-pre-up [new file with mode: 0644]
debian/madwifi-tools.README.Debian [new file with mode: 0644]
debian/madwifi-tools.dirs [new file with mode: 0644]
debian/madwifi-tools.docs [new file with mode: 0644]
debian/madwifi-tools.madwifi.modprobe [new file with mode: 0644]
debian/madwifi-tools.z50madwifi.if-post-down [new file with mode: 0644]
debian/patches/01_mips-compile-flags-fix.patch [new file with mode: 0644]
debian/patches/02_manpages.patch [new file with mode: 0644]
debian/patches/series [new file with mode: 0644]
debian/rules [new file with mode: 0755]
debian/rules.modules [new file with mode: 0644]
debian/source/format [new file with mode: 0644]
debian/watch [new file with mode: 0644]

diff --git a/debian/changelog b/debian/changelog
new file mode 100644 (file)
index 0000000..c30a683
--- /dev/null
@@ -0,0 +1,729 @@
+madwifi (1:0.9.4+r4176.20111123-1) UNRELEASED; urgency=low
+
+  * Update Vcs-* headers.
+
+ -- gregor herrmann <gregoa@debian.org>  Sun, 08 Jan 2012 20:56:40 +0100
+
+madwifi (1:0.9.4+r4176.20111123-0.1) experimental; urgency=low
+
+  * NMU.
+  * New upstream SVN snapshot.
+
+ -- gregor herrmann <gregoa@debian.org>  Wed, 23 Nov 2011 17:22:08 +0100
+
+madwifi (1:0.9.4+r4173.20111008-0.1) experimental; urgency=low
+
+  * NMU.
+  * New upstream SVN snapshot.
+
+ -- gregor herrmann <gregoa@debian.org>  Sat, 08 Oct 2011 17:33:10 +0200
+
+madwifi (1:0.9.4+r4165.20110816-0.1) experimental; urgency=low
+
+  * NMU.
+  * New upstream SVN snapshot.
+
+ -- gregor herrmann <gregoa@debian.org>  Tue, 16 Aug 2011 18:11:12 +0200
+
+madwifi (1:0.9.4+r4162.20110804-0.1) experimental; urgency=low
+
+  * NMU.
+  * New upstream SVN snapshot.
+
+ -- gregor herrmann <gregoa@debian.org>  Thu, 04 Aug 2011 21:32:18 +0200
+
+madwifi (1:0.9.4+r4147.20110623-0.1) experimental; urgency=low
+
+  * NMU.
+  * New upstream SVN snapshot.
+
+ -- gregor herrmann <gregoa@debian.org>  Thu, 23 Jun 2011 18:21:39 +0200
+
+madwifi (1:0.9.4+r4144.20110602-0.1) experimental; urgency=low
+
+  * NMU.
+  * New upstream SVN snapshot.
+
+ -- gregor herrmann <gregoa@debian.org>  Thu, 02 Jun 2011 17:22:22 +0200
+
+madwifi (1:0.9.4+r4139.20110504-0.1) experimental; urgency=low
+
+  * NMU.
+  * New upstream SVN snapshot.
+  * Set Standards-Version to 3.9.2 (no changes).
+
+ -- gregor herrmann <gregoa@debian.org>  Wed, 04 May 2011 18:16:40 +0200
+
+madwifi (1:0.9.4+r4133.20100922-0.1) experimental; urgency=low
+
+  * NMU.
+  * Fix watch file, remove get-orig-source target from debian/rules.
+  * Convert to source format 3.0 (quilt).
+  * Minimize debian/rules.
+  * Misc. packaging improvements.
+  * Add madwifi-dkms package.
+  * Also build madwifi-tools package.
+
+ -- gregor herrmann <gregoa@debian.org>  Mon, 20 Dec 2010 20:20:21 +0100
+
+madwifi (1:0.9.4+r4119.20100201-0.1) experimental; urgency=low
+
+  * NMU.
+  * New upstream SVN snapshot.
+
+ -- gregor herrmann <gregoa@debian.org>  Sun, 28 Feb 2010 00:11:09 +0100
+
+madwifi (1:0.9.4+r4100.20090929-0.1) experimental; urgency=low
+
+  * NMU.
+  * New upstream SVN snapshot.
+
+ -- gregor herrmann <gregoa@debian.org>  Thu, 10 Dec 2009 16:40:32 +0100
+
+madwifi (1:0.9.4+r3772.20080716-1) unstable; urgency=low
+
+  * New upstream SVN snapshot.
+    - initial Linux 2.6.27 compat
+  * Modify debian/rules get-orig-source target to pull SVN snapshot from
+    hal-0.10.5.6 branch.
+  * Bump standards version to 3.8.0
+    - add README.source to document choice of quilt patch system
+    - add reasoning to copyright file for disqualification from 'main'
+
+ -- Kel Modderman <kel@otaku42.de>  Fri, 18 Jul 2008 23:18:45 +1000
+
+madwifi (1:0.9.4+r3698.20080604.hal20080528-1) unstable; urgency=low
+
+  The R.I.P. Alex Wallis aka "awol" release.
+
+  * New upstream SVN snapshot.
+    - supports new chipsets (Closes: #434702, #414998)
+    - supercedes the 0.9.4 release (Closes: #429647)
+  * Exclude .pc/ dir and *-stamp files from the generated madwifi.tar.bz2
+    archive. [debian/rules]
+  * Build-depend on debhelper >= 7. [debian/control*, debian/compat]
+  * Drop bogus install-stamp target from debian/rules. Update the .PHONY
+    targets. [debian/rules]
+  * Don't hard depend on linux-image-_KVERS_, too many people like to mix
+    non-dpkg managed Linux kernel installations with Debianized module
+    packages. Just recommend it, for what that is worth... (Closes: #380402)
+    [debian/control.modules.in]
+  * Update get-orig-source target for new upstream snapshot archive layout.
+    Also do not refer to "special" archive directory anymore. [debian/rules]
+  * Don't use wget's -N option with -O in get-orig-source target.
+    [debian/rules]
+  * Remove NEWS file, it is not breaking news anymore. [debian/NEWS]
+  * Add Matthew W.S.Bell to Uploaders. [debian/control*]
+
+ -- Kel Modderman <kel@otaku42.de>  Thu, 05 Jun 2008 00:48:11 +1000
+
+madwifi (1:0.9.4~rc2-1) unstable; urgency=low
+
+  * New upstream release candidate.
+    - linux 2.6.24 compatibility (Closes: #463353)
+  * Drop all patches applied upstream.
+    - debian/patches/10_CVE-2007-5448_sanitize_xrates.dpatch
+    - debian/patches/13_fix-2.6.24-set-module-owner.dpatch
+    - debian/patches/14_fix-2.6.24-inet-net-proc-net.dpatch
+    - debian/patches/12_fix-2.6.23-include-fs-h.dpatch
+  * Bump Standards Version to 3.7.3, no extra changes required.
+  * Convert to quilt patch system from dpatch. Rename debian/patches/00list to
+    debian/patches/series. Depend on quilt and not dpatch. [debian/patches/*,
+    debian/control, debian/rules]
+  * Convert debian/rules to debhelper, drop build-dependency on cdbs. Remove
+    debian/madwifi-source.dirs, it is no longer required. [debian/rules,
+    debian/control, debian/madwifi-source.dirs]
+  * Produced module image package has versioned dependency on madwifi-tools
+    (>= 1:0.9.4~rc2+dfsg-1) to provide smooth upgrade path to
+    linux-image-2.6.24 by claiming priority over ath5k.
+  * Drop Alex Wallis from Uploaders, he hasn't been active for too long.
+    [debian/control*]
+  * Port get-orig-source debian/rules target from the previous cdbs style
+    package with cleanups. [debian/rules]
+
+ -- Kel Modderman <kel@otaku42.de>  Mon, 11 Feb 2008 21:23:44 +1000
+
+madwifi (1:0.9.3.2-2) unstable; urgency=high
+
+  * Add fix_2.6.23_include_fs_h.dpatch for linux 2.6.23 compatibility.
+    (Closes: #446090, #446039)
+  * Add 10_CVE-2007-5448_sanitize_xrates.dpatch to fix CVE-2007-5448:
+    - DoS vulnerability via kassert from poor checking of xrate element in
+      scan results (Closes: #446824)
+  * Adjust Vcs fields of debian/control to format of current concensus.
+  * Use Homepage field of debian/control.
+
+ -- Kel Modderman <kel@otaku42.de>  Tue, 16 Oct 2007 18:00:28 +1000
+
+madwifi (1:0.9.3.2-1) unstable; urgency=low
+
+  * New upstream stable release.
+  * Drop all patches applied upstream.
+  * Fix compilation on mips32, thanks Aurelien. (Closes: #433158)
+    [debian/patches/11_mips-compile-flags-fix.dpatch]
+  * Remove reference to obsolete kernel-image-_KVERS_.
+    [debian/control.modules.in]
+
+ -- Kel Modderman <kel@otaku42.de>  Thu, 16 Aug 2007 22:17:04 +1000
+
+madwifi (1:0.9.3-3) unstable; urgency=low
+
+  * Format Homepage fileds. [debian/control]
+  * Add XS-Vcs-* fields. [debian/control]
+  * No longer provide madwifi-doc, upstream abandoned it.
+    [debian/madwifi-doc.*, debian/control,
+    debian/madwifi-source.README.debian]
+  * No longer conflict with madwifi-ng-modules-_KVERS_, no package in debian
+    ever provided that. Also remove spurious Provides.
+    [debian/control.modules.in]
+  * Add patches/10_compat-0.9.3-2.6.22.dpatch for linux 2.6.22 compatibility.
+    (Closes: #432531)
+
+ -- Kel Modderman <kel@otaku42.de>  Wed, 11 Jul 2007 18:49:23 +1000
+
+madwifi (1:0.9.3-2) unstable; urgency=low
+
+  * Add debian/patches/01_secfix-0.9.3-sizecheck-take3.dpatch to address Fast
+    Frame parsing remote kernel DoS exploit.
+  * Add debian/patches/02_secfix-0.9.3-wmmparams-take2.dpatch to fix
+    ieee80211_ioctl_getwmmparams local kernel DoS exploit.
+  * Add debian/patches/03_secfix-0.9.3-beacon_interval_range.dpatch to reject
+    invalid beacons and avoid unwanted situations possibly allowing local or
+    remote exploit.
+
+ -- Kel Modderman <kel@otaku42.de>  Tue, 22 May 2007 21:47:38 +1000
+
+madwifi (1:0.9.3-1) unstable; urgency=low
+
+  * New upstream release. (Closes: #416922, #416837)
+  * Fix typo in README which refered readers to a non-existant madwifi tarball
+     in /usr/src (s/gz/bz2/). [debian/madwifi-source.README.Debian]
+  * Update madwifi-source.README.Debian.
+  * Add branch variable for get-orig-source. [debian/rules]
+
+ -- Kel Modderman <kel@otaku42.de>  Mon, 09 Apr 2007 19:31:10 +1000
+
+madwifi (1:0.9.2+r2156.20070225-1) experimental; urgency=low
+
+  [ Kel Modderman ]
+  * New upstream snapshot.
+    - compiles against linux 2.6.21-rc1+ (Closes: #404483)
+    - no longer extremely volatile on ppc (Closes: #373776)
+    - fixes NULL pointer BUG() oops in procfs cleanup (Closes: #405932)
+  * Drop Changeset1847.dpatch.
+  * Update Uploader email address. [debian/control*]
+  * No longer hardcode rate control algorithm selection in rules.modules,
+    ath_pci can now load the rate control algo's dynamically, with a module
+    parameter. [debian/rules.modules]
+
+  [ Loic Minier ]
+  * Target at experimental.
+
+ -- Loic Minier <lool@dooz.org>  Sat,  3 Mar 2007 15:24:57 +0100
+
+madwifi (1:0.9.2+r1842.20061207-2) unstable; urgency=high
+
+  * Add upstream revision 1847 as a new dpatch to completely fix
+    CVE-2006-6332; thanks Luk Claes; closes: #402836.
+
+ -- Loic Minier <lool@dooz.org>  Thu, 14 Dec 2006 20:44:37 +0100
+
+madwifi (1:0.9.2+r1842.20061207-1) unstable; urgency=medium
+
+  * New upstream SVN snapshot
+    - buffer overflow exploit fixed (CVE-2006-6332)
+  * Urgency medium to allow security fix to propogate to testing asap.
+
+ -- Kel Modderman <kelmo@kanotixguide.org>  Fri,  8 Dec 2006 08:06:01 +1000
+
+madwifi (1:0.9.2+r1809.20061115-1) unstable; urgency=low
+
+  * New upstream SVN snapshot.
+    - fixes TARGET determination for powerpc (Closes: #398241)
+
+ -- Kel Modderman <kelmo@kanotixguide.org>  Wed, 15 Nov 2006 19:24:39 +1000
+
+madwifi (1:0.9.2+r1784.20061027-1) unstable; urgency=low
+
+  * New upstream SVN snapshot.
+    - new binary HAL version 0.9.18.0 with support for more chipsets
+  * Change of uploaders email address.
+  * Fix madwifi-ng-tools typo. [debian/control]
+  * Remove mention of files relicensed upstream in 'Problematic' section of
+    copyright. [debian/copyright]
+
+ -- Kel Modderman <kelmo@kanotixguide.org>  Mon, 30 Oct 2006 14:07:36 +1000
+
+madwifi (1:0.9.2+r1710.20060914-1) unstable; urgency=low
+
+  * New upstream SVN snapshot.
+    - HAL version 0.9.18.0
+    - support for pci-e chipsets
+  * Add epoch to alow better representation of upstream source version.
+  * Purge madwifi-tools from non-free source package. [debian/madwifi-tools.*,
+    debian/rules, debian/control]
+  * Fix copyright => _everything_ in /hal directory is subject to the legally
+    "immutable" license. [debian/copyright]
+  * Remove slh from uploaders at his request. He has no relationship with this
+    package whatsoever any more. [debian/control*]
+  * Remove dummy SNAPSHOT file hack in favour of a planned version schema +
+    get-orig-source target, useful for grabbing snapshot tarballs. Please do
+    not use an SVN export to build future orig.tar.gz's for this package.
+    [debian/rules]
+
+ -- Kel Modderman <kelmo@kanotixguide.org>  Sun,  1 Oct 2006 23:00:02 +1000
+
+madwifi (0.svnr1697.0.9.2-1) unstable; urgency=low
+
+  * New upstream release.
+    - compiles against current 2.6.18 tree
+  * Add some shell code to make a dummy SNAPSHOT file for the case when we
+    decide to base this package on an svn export or snapshot (it is almost
+    always the case!). [debian/rules]
+  * Also remove $(CC) override in build/madwifi-tools. [debian/rules]
+  * Add upstream URL to long description of each binary package.
+    [debian/control]
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sat,  5 Aug 2006 12:09:19 +1000
+
+madwifi (0.svnr1680.0.9.1-1) unstable; urgency=low
+
+  * New upstream release.
+  * Exclude .svn stuff from orig.tar.gz and resulting module tarball.
+    [debian/rules] (Closes: #374401)
+  * Add some further links to documentation section of madwifi-source
+    README.Debian.
+  * Remove $(CC) and $(LD) overrides, madwifi upstream is now behaving in that
+    regard. [debian/rules.modules]
+  * Disable dpatch system and remove dependency. [debian/control, debian/rules]
+  * Build depend on debhelper >= 5.0.37, so that dh_installmodules always
+    creates correct postinst and postrm scripts. [debian/control*]
+  * madwifi-tools do not depend on ifupdown to function properly, therefore it
+    should only be recommended. [debian/control]
+  * madwifi-source suggests madwifi-tools, madwifi-source and madwifi-tools
+    suggest madwifi-doc. [debian/control]
+  * Add a note to madwifi-source.README.debian about possible upgrade
+    conflicts with the unofficial packages from http://debian.marlow.dk/.
+    (Closes: #375962)
+  * Remove dh_installdebconf from rules.modules, it is unused.
+    [debian/rules.modules]
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sat,  8 Jul 2006 20:53:14 +1000
+
+madwifi (0.svnr1644.0.9.0-2) unstable; urgency=low
+
+  [ Kel Modderman ]
+  * Modules only depend on equal to or greater than source version of
+    madwifi-tools, to avoid upgrade path problems.
+
+  [ Loic Minier ]
+  * Drop the version in the Depends altogether.
+
+ -- Loic Minier <lool@dooz.org>  Fri, 16 Jun 2006 10:41:45 +0200
+
+madwifi (0.svnr1644.0.9.0-1) unstable; urgency=medium
+
+  [ Kel Modderman ]
+  * New upstream SVN snapshot.
+    - new HAL (0.9.17.2)
+    - enhanced Makefile/kbuild build system
+  * s/MODULEPATH/KMODPATH/ in debian/rules.modules.
+  * Global renaming of madwifi-ng => madwifi. The old madwifi codebase has
+    been deprecated upstream, we should not confuse our own users.This also
+    eliminates a large source of upgrade difficulties. [debian/*]
+  * Update copyright file to include details of new HAL binaries and BSD
+    licensed files. [debian/copyright]
+  * Use debhelper compat level of 5 (dh_installmodules requires the most recent
+    debhelper to function correctly). [debian/control*]
+  * Include official upstream release version number in our debian revision.
+  * Adjust watch file for new debian revision number scheme.
+
+  [ Loic Minier ]
+  * Don't prune .svn dirs in this upload as it breaks the upstream build
+    system for SVN snapshot; upstream ticket #694.
+
+ -- Loic Minier <lool@dooz.org>  Wed, 14 Jun 2006 11:28:03 +0200
+
+madwifi (0.svnr1587.20060521-1) experimental; urgency=low
+
+  * New upstream SVN snapshot.
+  * Add workaround patches to current upstream scanning problems:
+    - active scanning patch from #275.
+    - setmode delay patch from #228.
+  * Allow patches subdir of madwifi upstream to be in debian tarball. It is
+    working now. [debian/rules]
+  * Remove Conflicts: fields from control files.
+    [debian/control, debian/control.modules.in]
+  * Remove madwifi-ng-dev, it is not satisfying any build dependency.
+    [debian/control, debian/madwifi-ng-dev.*]
+  * Introduce madwifi-ng-doc, it will contain the users-guide documentation.
+    [debian/control, debian/madwifi-ng-doc.docs]
+  * Make wlanconfig verbose when asked for. [debian/ifupdown/pre-up]
+  * Exclude upstream THANKS file from automatic installation with each
+    package. It can be found in the source tarball.
+  * Upstream dependency on sharutils to decode the HAL binaries removed.
+    [debian/control*]
+  * Bump standards-version to 3.7.2.
+  * Add debian/NEWS to describe the homepage for pkg-madwifi.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sun, 14 May 2006 17:24:44 +1000
+
+madwifi (0.svnr1500.20060412-1) experimental; urgency=low
+
+  * Rename source package to madwifi.
+  * New upstream release.
+    - wext ioctl's
+  * Drop active scanning dpatch.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Wed, 12 Apr 2006 22:58:02 +1000
+
+madwifi-ng (0.svnr1497.20060407-2) unstable; urgency=low
+
+  * Drop build-essential dependency of module source package. [debian/control]
+  * Minor tweak to module source tarball generation. [debian/rules]
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Fri,  7 Apr 2006 18:44:11 +1000
+
+madwifi-ng (0.svnr1497.20060407-1) unstable; urgency=low
+
+  * New upstream release
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Fri,  7 Apr 2006 00:17:02 +1000
+
+madwifi-ng (0.svnr1491.20060403-1) unstable; urgency=low
+
+  * New upstream release 
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Mon,  3 Apr 2006 21:41:35 +1000
+
+madwifi-ng (0.svnr1486.20060328-2) unstable; urgency=low
+
+  * Fix madwifi-dev include layout, thanks to Pascal for picking up on the
+    problem so quickly. [debian/madwifi-ng-dev.dirs, debian/rules]
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Wed, 29 Mar 2006 17:54:40 +1000
+
+madwifi-ng (0.svnr1486.20060328-1) unstable; urgency=low
+
+  * New upstream release.
+    - fix build on mips arch's
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Tue, 28 Mar 2006 19:58:14 +1000
+
+madwifi-ng (0.svnr1485.20060325-2) unstable; urgency=low
+
+  * Reinstate copyright headers in Matt Brown's ifupdown scripts.
+  * Clean up debian/rules so that targets are more obvious.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sun, 26 Mar 2006 18:41:24 +1000
+
+madwifi-ng (0.svnr1485.20060325-1) unstable; urgency=low
+
+  * New upstream release.
+  * Use upstream TARGET determination. Remove debian specific ARCH_TARGET code
+    from debian/rules/modules.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sat, 25 Mar 2006 18:26:34 +1000
+
+madwifi-ng (0.svnr1475.20060317-2) unstable; urgency=low
+
+  * Use dh_installmodules to handle modules post{inst,rm} 
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Tue, 21 Mar 2006 00:00:11 +1000
+
+madwifi-ng (0.svnr1475.20060317-1) unstable; urgency=low
+
+  * New upstream release.
+  * Make binary modules package Depend on linux-image | kernel-image
+    [debian/control.modules.in]
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sat, 18 Mar 2006 19:19:55 +1000
+
+madwifi-ng (0.svnr1472.20060310-1) unstable; urgency=low
+
+  * New upstream release
+  * Drop tools update and nodetable dpatches, they were applied upstream
+  * Add MADWIFI_OPTIONS to preup script, allowing one to append an option to
+    wlaconfig at VAP creation time [debian/ifupdown/preup]
+  * Do not exclude the users-guide.pdf from compression [debian/rules]
+  * Include the users guide in madwifi-ng-source
+    [debian/madwifi-ng-source.docs] 
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sat, 11 Mar 2006 08:14:45 +1000
+
+madwifi-ng (0.svnr1463.20060307-1) unstable; urgency=low
+
+  * New upstream release
+  * Add patch for possible memory leak in ad-hoc mode.
+    [debain/patches/03_nodetable.dpatch]
+  * Remove bogus target from module source debian/rules.
+    [debian/rules.modules] 
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Tue,  7 Mar 2006 21:28:36 +1000
+
+madwifi-ng (0.svnr1460.20060304-1) unstable; urgency=low
+
+  * New upstream release
+  * Add wireless-tools to Recommends field of madwifi-ng-modules and
+    madwifi-ng-tools. [debian/control*]
+  * Rename ifupdown scripts, remove implicit copyright and tweaked mode
+    handling. [debian/ifupdown/*]
+  * Remove vpncrash dpatch - fixed upstream.
+  * Remove conditional dependency on m-a or k-p, Recommend kernel-package
+    [debain/control]
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sun,  5 Mar 2006 23:11:52 +1000
+
+madwifi-ng (0.svnr1457.20060228-1) unstable; urgency=low
+
+  * New upstream release
+  * Correct typo in debian/rules
+  * Add uupdate to debian/watch
+  * Conditional dependency on module-assistant OR kernel package for
+    madwifi-ng-source
+  * Add 02_tools_update.dpatch and 03_vpncrash.dpatch pending upstream
+    inclusion.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Wed,  1 Mar 2006 21:50:00 +1000
+
+madwifi-ng (0.svnr1453.20060220-1) unstable; urgency=low
+
+  * New upstream release
+  * Drop RSN fix applied upstream
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Mon, 20 Feb 2006 23:16:25 +1000
+
+madwifi-ng (0.svnr1452.20060217-2) unstable; urgency=low
+
+  * Fix active-scanning patch to compile against kernels with WE < 18.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Mon, 20 Feb 2006 21:24:29 +1000
+
+madwifi-ng (0.svnr1452.20060217-1) unstable; urgency=low
+
+  * New debian version scheme.
+  * Add watch file to assist in tracking new upstream snapshots.
+  * Add patch from http://madwifi.org/ticket/241 to fix RSN when using
+    hostapd. 
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sun, 19 Feb 2006 22:51:58 +1000
+
+madwifi-ng (0.9.0+svn1452-1) unstable; urgency=low
+
+  * New upstream release
+  * Remove Recommends on madwifi-ng-base for madwifi-ng-tools.
+    [debian/control]
+  * Add active-scanning-option dpatch but do not apply by default (ftbfs on
+    Sarge's kernel)
+  * Drop setmode-delay patch, I do not think it is 100% correct, even though
+    it causes an obscure bug to go away.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Fri, 17 Feb 2006 22:14:50 +1000
+
+madwifi-ng (0.9.0+svn1451-1) unstable; urgency=low
+
+  * New upstream release
+    - new HAL (0.9.16.6)
+  * Rework installation of madwifi-ng-tools
+    - use upstream tools/Makefile install: target to install binaries and
+      manpages [debian/rules, debian/madwifi-ng-tools.manpages,
+      debian/madwifi-ng-tools.dirs]
+    - set $(CC) (/etc/alternatives/cc) as compiler [debian/rules]
+  * Clean madwifi-ng-source tarball of precompiled binaries [debian/rules]
+  * Update documentation for madwifi-ng-tools
+    [debian/madwifi-ng-tools.README.debian]
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sat, 11 Feb 2006 22:40:24 +1000
+
+madwifi-ng (0.9.0+svn1446-1) unstable; urgency=low
+
+  * New upstream release
+    - Fixed: modules: target of Makefile was not directly dependent on 
+      svnversion.h, which caused madwifi-ng-source to fail compilation.
+      Shame on me for not thoroughly testing this before release, and a big
+      thanks to Punky Tse for picking up on it.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Wed,  8 Feb 2006 20:13:47 +1000
+
+madwifi-ng (0.9.0+svn1443-1) unstable; urgency=low
+
+  * New upstream release.
+    - comprehensive code style cleanup
+  * Remove all patches applied upstream.
+  * Remove patches that have been found to be problematic:-
+    - 01_fix-chanmode-auto.dpatch does not provide a correct solution, even
+      though it prevents a kernel panic
+    - 06_active-scan.dpatch fails to compile against kernels with WE versions
+      less than 17 (module FTBFS on default Sarge kernel). This patch is
+      currently being improved
+  * Update setmode-delay patch with a revised solution.
+    [debian/patches/01_setmode-delay-with-timeout2.dpatch]
+  * wlanconfig is installed to /usr/sbin now with the other tools.
+    [debian/rules, debian/ifupdown/*]
+  * Remove provides field in debian/control.modules.in
+  * Tweak madwifi-dev control description. [debian/control]
+  * Move countrycode text into madwifi-source.README.debian.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Tue,  7 Feb 2006 17:51:44 +1000
+
+madwifi-ng (0.9.0+svn1416-1) unstable; urgency=low
+
+  * New upstream release.
+  * Replace device renaming patch with a revised version.
+    [debian/patches/02_device-renaming.dpatch]
+  * Add patch to fix mac changing bug [debian/patches/08_changemac.dpatch] 
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Fri, 27 Jan 2006 21:21:04 +1000
+
+madwifi-ng (0.9.0+svn1408-1) unstable; urgency=low
+
+  * New upstream release.
+  * Drop patches applied upstream.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Mon, 23 Jan 2006 18:03:07 +1000
+
+madwifi-ng (0.9.0+svn1405-2) unstable; urgency=low
+
+  * Fix Maintainer and Uploader field of modules control file.
+    [debian/control.modules.in]
+  * Update 80_autocreate.dpatch with a small bugfix.
+  * Add print-module-status.dpatch pending upstream inclusion.
+  * Quote all shell var's in ifupdown scripts and remove dependency on iproute
+    by checking /proc/net/wireless for pre-existing VAP's.
+    [debian/ifupdown/*, debian/control]
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sun, 22 Jan 2006 18:57:34 +1000
+
+madwifi-ng (0.9.0+svn1405-1) unstable; urgency=low
+
+  * New upstream release.
+  * Drop patches applied upstream.
+  * Add pending upstream patches.
+    - allow autocreation of a sta VAP or each device
+  * Remove madwifi-base, sta device is now created by default.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sat, 21 Jan 2006 00:34:03 +1000
+
+madwifi-ng (0.9.0+svn1401-3) unstable; urgency=low
+
+  * Sync control file with Kanotix package. This was left terribly broken for
+    far too long. [debian/control]
+  * Add udev version depends to madwifi-base. [debian/control]
+  * Add patch to fix iupstream ARCH detection script.
+    [debian/patches/07_fix-get_arch_target.sh.dpatch]
+  * Add active scanning workaround patch.
+    [debian/patches/08_active-scan.dpatch]
+  * Quote variables in udev script. [debian/udev/madwifi.sh]
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Wed, 18 Jan 2006 19:23:19 +1000
+
+madwifi-ng (0.9.0+svn1401-2) unstable; urgency=low
+
+  * Fix Recommends field of modules binary. [debian/control.modules.in]
+  * Replace and provide madwifi-modules-_KVERS_. 
+  [debian/control.modules.in]
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Wed, 18 Jan 2006 05:06:26 +1000
+
+madwifi-ng (0.9.0+svn1401-1) unstable; urgency=low
+
+  * New upstream release.
+  * Sync patchset with new upstream. [debian/patches/*]
+  * Add Stefan Lippers-Hollmann to Uploaders, as he is responsible for
+    managing the Kanotix repository that will be the temporary home for this
+    package. [debian/control]
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Wed, 18 Jan 2006 04:53:03 +1000
+
+madwifi-ng (0.9.0+svn1397-1) unstable; urgency=low
+
+  * New upstream release.
+    - fixes instability with amd64 and ipsec
+  * Bugfix ifupdown scripts, missing quotes. Thanks Evan Jones.
+    [debian/ifupdown/*]
+  * Updates dpatches. Remove patches applied upstream and add all patches
+    pending upstream inclusion. All patch descriptions provide url to the
+    associated madwifi.org ticket.
+  * Recommend madwifi-ng-base in module conrtol file. [debian/control.modules.in]
+  * Remove section describing wireless usage from
+    madwifi-ng-source.README.debian, this should be described in greater
+    detail in madwifi-ng-tools.README.debian, along with associated changes
+    with respect to the usage of the ifupdown scripts to automate VAP
+    management.
+  * Add brief description to udev program configuration file.
+    [debian/udev/madwifi]
+  * Add note about the purpose of the udev program to
+    madwifi-ng-base.README.debian.
+  * Alter ARCH_TARGET handling to suit new architecture determination in 
+    upstream Makefiles. dpkg-architecture is more reliable than depending on the
+    upstream arch determinination. [debian/rules.modules]
+  * Fix "make", and "make install targets" for the module source. These
+    targets are seperated by a patch included that is pending upstream
+    inclusion. [debian/rules.modules]
+  * Remove upstream install.log in clean target of module source.
+    [debian/rules.modules]
+  * Update madwifi-tools.README.debian with countrycode information, and add
+    section templates for further expansion of documentaion.
+  * Fix typo in madwifi-ng-source.README.debian.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sun, 15 Jan 2006 22:37:18 +1000
+
+madwifi-ng (0.9.0+svn1365-2) unstable; urgency=low
+
+  * Move ifupdown scripts to madwifi-ng-tools. [debian/rules,
+    debian/madwifi-ng-tools.dirs, debain/control]
+  * Tweak udev program.
+    - hardcode ath as interface alias prefix
+    - remove option to specify an alternative interface alias
+  * Small tweak to ifupdown scripts. [debian/ifupdown/*]
+  * Exclude THANKS from all packages. [debian/rules]
+  * Don't compress users-guide.pdf. [debain/rules]
+  * Disable 05_wifi-rename.dpatch.
+  * Update 06_unit-noappend.dpatch.
+  * Update debian/control* files with names of current team members.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Sat, 24 Dec 2005 13:48:16 +1000
+
+madwifi-ng (0.9.0+svn1365-1) unstable; urgency=low
+
+  [Kel Modderman]
+  * Update Maintainer and Uploaders fields to reflect current team members.
+    [debian/control*]
+  * Introduce madwifi-base to contain configuration and support scripts for
+    the new madwifi codebase.
+    - ifupdown scripts (thanks to Matt Brown)
+    - experimental udev rule, program and default configuration file
+  * Move wlanconfig to /sbin to avoid racy conditions in some situations with
+    the udev program. [debian/madwifi-tools.dirs,debian/rules]
+  * Use additional patches that are pending upstream.
+  * Exclude README and THANKS files from madwifi-ng-{dev,base}. [debian/rules]
+  * Modify install target for madwifi-ng-tools. [debian/rules]
+  * Add madwifi-ng-dev.README.deian to explain purpose of the package. This was
+    previously contained within madwifi-ng-source.README.debian.
+  * Adjust debian/rules.modules
+    - Untested support for arm
+    - no longer require the TOOLPREFIX hack
+    - use new upstream install-modules target
+  * Add madwifi-ng-tools.manpages, we do not use upstreams Makefile to install
+    these anymore.
+  * Sync copyright file with that of existing madwifi package.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Thu, 22 Dec 2005 22:27:27 +1000
+
+madwifi-ng (0.9.0+svn1234-1) unstable; urgency=low
+
+  [Kel Modderman]
+  * Remove madwifi-ng meta package. [debian/control]
+  * Make madwifi-dev depend on madwifi-source of same source-version.
+    [debian/control]
+  * Remove references to README_FIRST in debian/*.docs files as
+    it was removed upstream.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Mon, 31 Oct 2005 22:46:44 +1000
+
+madwifi-ng (0.9.0+svn1216-1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Kel Modderman <kelrin@tpg.com.au>  Fri, 28 Oct 2005 22:36:47 +1000
+
diff --git a/debian/compat b/debian/compat
new file mode 100644 (file)
index 0000000..7f8f011
--- /dev/null
@@ -0,0 +1 @@
+7
diff --git a/debian/control b/debian/control
new file mode 100644 (file)
index 0000000..1b1a4c2
--- /dev/null
@@ -0,0 +1,38 @@
+Source: madwifi
+Section: non-free/net
+Priority: optional
+Maintainer: Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>
+Uploaders: Loic Minier <lool@dooz.org>, Kel Modderman <kel@otaku42.de>, Matt Brown <mattb@debian.org>, Matthew W.S.Bell <mentor@madwifi.org>
+Build-Depends: debhelper (>= 7.0.50~), bzip2, dkms (>= 2.1.1.1)
+Standards-Version: 3.9.2
+Homepage: http://madwifi-project.org/
+
+Package: madwifi-source
+Architecture: all
+Depends: module-assistant, debhelper (>= 7), bzip2, ${misc:Depends}
+Recommends: madwifi-tools (>= ${source:Version})
+Suggests: kernel-package
+Description: source for the Multiband Atheros Driver for WiFi - m-a version
+ This package provides the source code for the madwifi kernel modules.
+ The madwifi-tools package is also required in order to make use of these
+ modules. Kernel source or headers are required to compile these modules.
+ .
+ This package contains the source to be built with module-assistant.
+
+Package: madwifi-dkms
+Architecture: all
+Depends: dkms (>= 2.1.1.1), ${misc:Depends}
+Recommends: madwifi-tools (>= ${source:Version})
+Description: source for the Multiband Atheros Driver for WiFi - dkms version
+ This package provides the source code for the madwifi kernel modules.
+ The madwifi-tools package is also required in order to make use of these
+ modules. Kernel source or headers are required to compile these modules.
+ .
+ This package contains the source to be built with dkms.
+
+Package: madwifi-tools
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: tools for the Multiband Atheros Driver for WiFi
+ This package provides userspace tools for the madwifi driver. The tools are
+ required to use and manipulate the madwifi interfaces present in a system.
diff --git a/debian/control.modules.in b/debian/control.modules.in
new file mode 100644 (file)
index 0000000..1c4a243
--- /dev/null
@@ -0,0 +1,22 @@
+Source: madwifi
+Section: non-free/net
+Priority: optional
+Maintainer: Debian madwifi team <pkg-madwifi-maintainers@lists.alioth.debian.org>
+Uploaders: Loic Minier <lool@dooz.org>, Kel Modderman <kel@otaku42.de>, Matt Brown <mattb@debian.org>, Matthew W.S.Bell <mentor@madwifi.org>
+Build-Depends: debhelper (>= 7), bzip2
+Standards-Version: 3.8.0
+
+Package: madwifi-modules-_KVERS_
+Architecture: any
+Depends: madwifi-tools (>= 1:0.9.4~rc2+dfsg-1)
+Recommends: wireless-tools, linux-image-_KVERS_
+Description: modules for the Multiband Atheros Driver for WiFi (kernel _KVERS_)
+ This package contains the set of loadable kernel modules for Atheros
+ based WiFi chipsets.
+ .
+ This package contains the compiled kernel modules for _KVERS_
+ .
+ If you have compiled your own kernel, you will most likely need to build
+ your own madwifi-modules. The madwifi-source package has been
+ provided for use with the Debian's module-assistant or kernel-package
+ utilities to produce a version of madwifi-ng-module for your kernel.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644 (file)
index 0000000..3083e4a
--- /dev/null
@@ -0,0 +1,150 @@
+This package was debianized by Kel Modderman <kelrin@tpg.com.au> on
+Wed, 26 Oct 2005 21:07:13 +1000.
+
+It was downloaded from <http://madwifi.org/>.
+
+Most files are distributed under a dual license, the first being GPL v2, the
+second being BSD alike.
+
+On Debian GNU/Linux systems, the text of the GPL license can be found in
+/usr/share/common-licenses/GPL-1 and the text of the BSD license in the same
+directory.
+
+Some files are distributed under a license permitting distribution without
+modification, and are provided in binary form only. As such, this software
+does not qualify for inclusion in Debian 'main', and is only available from
+the 'non-free' section of Debian.
+
+
+Files licensed under either BSD or BSD / GPL:
+============================================
+
+net80211/ieee80211_linux.c, net80211/ieee80211_linux.h and
+net80211/if_media.c are under BSD-style license only (non-GPL).
+
+net80211/ieee80211_radiotap.h is Copyright (c) 2003, 2004 David Young and is
+licensed under BSD license.
+
+net80211/if_media.h is Copyright (c) 1997 Jonathan Stone and Jason R. Thorpe.
+and is licensed under BSD license.
+
+net80211/rc4.c and net80211/rc4.h are Copyright (c) 1996-2000 Whistle
+Communications, Inc. and are licensed under a BSD-style license.
+
+include/sys/queue.h is Copyright (c) 1991, 1993 The Regents of the University
+of California and is licensed under BSD license.
+
+Problematic files:
+=================
+
+The following files constituing the "Hardware Abstraction Layer" are licensed
+under a license permitting distribution without modification, and are available
+in binary form only:
+
+hal/ah_desc.h
+hal/ah_devid.h
+hal/ah.h
+hal/ah_soc.h
+hal/version.h
+hal/public/ap51.hal.o.uu
+hal/public/mips1-le-elf.hal.o.uu
+hal/public/powerpc-le-eabi.hal.o.uu
+hal/public/powerpc-be-eabi.hal.o.uu
+hal/public/ap43.hal.o.uu
+hal/public/xscale-le-elf.hal.o.uu
+hal/public/mips-be-elf.hal.o.uu
+hal/public/ap61.hal.o.uu
+hal/public/mipsisa32-le-elf.hal.o.uu
+hal/public/armv4-be-elf.hal.o.uu
+hal/public/ap30.hal.o.uu
+hal/public/arm9-le-thumb-elf.hal.o.uu
+hal/public/mipsisa32-be-elf.hal.o.uu
+hal/public/powerpc-be-elf.hal.o.uu
+hal/public/mips1-be-elf.hal.o.uu
+hal/public/i386-elf.hal.o.uu
+hal/public/sh4-le-elf.hal.o.uu
+hal/public/x86_64-elf.hal.o.uu
+hal/public/xscale-be-elf.hal.o.uu
+hal/public/armv4-le-elf.hal.o.uu
+hal/public/alpha-elf.hal.o.uu
+hal/public/sparc64-be-elf.hal.o.uu
+hal/public/mips-le-elf.hal.o.uu
+hal/public/sparc-be-elf.hal.o.uu
+
+The following copyright governs the distribution of the binary HAL part
+of madwifi:
+
+ Copyright (c) 2002-2005 Sam Leffler, Errno Consulting, Atheros
+ Communications, Inc.  All rights reserved.
+
+ Redistribution and use in source and binary forms are permitted
+ provided that the following conditions are met:
+ 1. The materials contained herein are unmodified and are used
+    unmodified.
+ 2. Redistributions of source code must retain the above copyright
+    notice, this list of conditions and the following NO
+    ''WARRANTY'' disclaimer below (''Disclaimer''), without
+    modification.
+ 3. Redistributions in binary form must reproduce at minimum a
+    disclaimer similar to the Disclaimer below and any redistribution
+    must be conditioned upon including a substantially similar
+    Disclaimer requirement for further binary redistribution.
+ 4. Neither the names of the above-listed copyright holders nor the
+    names of any contributors may be used to endorse or promote
+    product derived from this software without specific prior written
+    permission.
+
+ NO WARRANTY
+ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+ ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+ LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT,
+ MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE
+ FOR SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+ LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+ USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+ ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+ OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+ OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ SUCH DAMAGES.
+
+
+Other files:
+===========
+
+All other files contained in this distribution are covered by the following
+dual GPL/BSD license:
+
+ Copyright (c) 2002-2005 Sam Leffler, Errno Consulting
+ All rights reserved.
+
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ 1. Redistributions of source code must retain the above copyright
+    notice, this list of conditions and the following disclaimer,
+    without modification.
+ 2. Redistributions in binary form must reproduce at minimum a disclaimer
+    similar to the "NO WARRANTY" disclaimer below ("Disclaimer") and any
+    redistribution must be conditioned upon including a substantially
+    similar Disclaimer requirement for further binary redistribution.
+ 3. Neither the names of the above-listed copyright holders nor the names
+    of any contributors may be used to endorse or promote products derived
+    from this software without specific prior written permission.
+
+ Alternatively, this software may be distributed under the terms of the
+ GNU General Public License ("GPL") version 2 as published by the Free
+ Software Foundation.
+
+ NO WARRANTY
+ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+ ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+ LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTIBILITY
+ AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
+ THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY,
+ OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
+ IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ THE POSSIBILITY OF SUCH DAMAGES.
diff --git a/debian/madwifi-dkms.dirs b/debian/madwifi-dkms.dirs
new file mode 100644 (file)
index 0000000..b601f22
--- /dev/null
@@ -0,0 +1 @@
+usr/src
diff --git a/debian/madwifi-dkms.dkms b/debian/madwifi-dkms.dkms
new file mode 100644 (file)
index 0000000..42c61ca
--- /dev/null
@@ -0,0 +1,61 @@
+PACKAGE_NAME="madwifi"
+PACKAGE_VERSION="#MODULE_VERSION#"
+MAKE[0]="make -C ${kernel_source_dir} M=${dkms_tree}/${PACKAGE_NAME}/${PACKAGE_VERSION}/build"
+CLEAN="make -C ${kernel_source_dir} M=${dkms_tree}/${PACKAGE_NAME}/${PACKAGE_VERSION}/build clean"
+AUTOINSTALL=yes
+
+BUILT_MODULE_NAME[0]="ath_pci"
+BUILT_MODULE_LOCATION[0]="ath"
+DEST_MODULE_LOCATION[0]="/updates"
+
+BUILT_MODULE_NAME[1]="ath_hal"
+BUILT_MODULE_LOCATION[1]="ath_hal"
+DEST_MODULE_LOCATION[1]="/updates"
+
+BUILT_MODULE_NAME[2]="wlan_wep"
+BUILT_MODULE_LOCATION[2]="net80211"
+DEST_MODULE_LOCATION[2]="/updates"
+
+BUILT_MODULE_NAME[3]="wlan_xauth"
+BUILT_MODULE_LOCATION[3]="net80211"
+DEST_MODULE_LOCATION[3]="/updates"
+
+BUILT_MODULE_NAME[4]="wlan_scan_ap"
+BUILT_MODULE_LOCATION[4]="net80211"
+DEST_MODULE_LOCATION[4]="/updates"
+
+BUILT_MODULE_NAME[5]="wlan_acl"
+BUILT_MODULE_LOCATION[5]="net80211"
+DEST_MODULE_LOCATION[5]="/updates"
+
+BUILT_MODULE_NAME[6]="wlan"
+BUILT_MODULE_LOCATION[6]="net80211"
+DEST_MODULE_LOCATION[6]="/updates"
+
+BUILT_MODULE_NAME[7]="wlan_tkip"
+BUILT_MODULE_LOCATION[7]="net80211"
+DEST_MODULE_LOCATION[7]="/updates"
+
+BUILT_MODULE_NAME[8]="wlan_scan_sta"
+BUILT_MODULE_LOCATION[8]="net80211"
+DEST_MODULE_LOCATION[8]="/updates"
+
+BUILT_MODULE_NAME[9]="wlan_ccmp"
+BUILT_MODULE_LOCATION[9]="net80211"
+DEST_MODULE_LOCATION[9]="/updates"
+
+BUILT_MODULE_NAME[10]="ath_rate_sample"
+BUILT_MODULE_LOCATION[10]="ath_rate/sample"
+DEST_MODULE_LOCATION[10]="/updates"
+
+BUILT_MODULE_NAME[11]="ath_rate_minstrel"
+BUILT_MODULE_LOCATION[11]="ath_rate/minstrel"
+DEST_MODULE_LOCATION[11]="/updates"
+
+BUILT_MODULE_NAME[12]="ath_rate_amrr"
+BUILT_MODULE_LOCATION[12]="ath_rate/amrr"
+DEST_MODULE_LOCATION[12]="/updates"
+
+BUILT_MODULE_NAME[13]="ath_rate_onoe"
+BUILT_MODULE_LOCATION[13]="ath_rate/onoe"
+DEST_MODULE_LOCATION[13]="/updates"
diff --git a/debian/madwifi-dkms.docs b/debian/madwifi-dkms.docs
new file mode 100644 (file)
index 0000000..e845566
--- /dev/null
@@ -0,0 +1 @@
+README
diff --git a/debian/madwifi-source.README.debian b/debian/madwifi-source.README.debian
new file mode 100644 (file)
index 0000000..055eff3
--- /dev/null
@@ -0,0 +1,59 @@
+madwifi for Debian
+==================
+
+This package provides the madwifi source code and binaries that can be used to
+build modules that work with your custom built linux kernel. The source files 
+are located in /usr/src/madwifi.tar.bz2; unpacking that file in /usr/src will
+produce a build tree in /usr/src/modules/madwifi/ (The tar file can also be 
+unpacked elsewhere).
+
+For users of the madwifi debian packages from http://debian.marlow.dk/, there
+is no guarentee that the upgrade process will be smooth. Please purge all
+pre-existing madwifi packages from your system before attempting to build and
+install your own modules with madwifi-source.
+
+
+Building madwifi kernel modules with module-assistant
+=====================================================
+
+Please install the module-assistant package and issue the following commands:-
+
+  $ m-a prepare
+  $ m-a a-i madwifi
+
+The above commands will prepare, compile, package and install a set of madwifi
+modules for your kernel.
+
+m-a is short for module-assistant, and a-i is short for auto-install. Please
+see the module-assistant documentation for further details.
+
+
+Building madwifi kernel modules with kernel-package
+===================================================
+
+If necessary, prepare the kernel source tree for the target kernel. If you are 
+using a self compiled kernel than you have an easy task! 
+
+  $ cd /usr/src 
+  $ tar jxvf madwifi.tar.bz2
+  $ cd linux-$KVERS
+  $ make-kpkg --added-modules madwifi modules
+
+Where $KVERS is the exact version string of the kernel you want to build madwifi
+for. A madwifi-modules package will be built against the kernel source version
+specified. Look at the output for where the madwifi-modules package is located. 
+Then use dpkg to install the module package by hand, eg:-
+
+  $ dpkg -i /usr/src/madwifi-modules-$KVERS.deb
+
+
+MadWifi Documentation
+=====================
+
+The madwifi developers maintain an excellent resource:
+
+       http://madwifi.org/
+
+The Hardware Compatibility List (HCL) may be of interest:
+
+       http://madwifi.org/wiki/Compatibility
diff --git a/debian/madwifi-source.dirs b/debian/madwifi-source.dirs
new file mode 100644 (file)
index 0000000..b601f22
--- /dev/null
@@ -0,0 +1 @@
+usr/src
diff --git a/debian/madwifi-source.docs b/debian/madwifi-source.docs
new file mode 100644 (file)
index 0000000..e845566
--- /dev/null
@@ -0,0 +1 @@
+README
diff --git a/debian/madwifi-source.links b/debian/madwifi-source.links
new file mode 100644 (file)
index 0000000..d33751a
--- /dev/null
@@ -0,0 +1 @@
+usr/share/modass/packages/default.sh   usr/share/modass/overrides/madwifi-source
diff --git a/debian/madwifi-tools.050madwifi.if-pre-up b/debian/madwifi-tools.050madwifi.if-pre-up
new file mode 100644 (file)
index 0000000..b79f8e9
--- /dev/null
@@ -0,0 +1,85 @@
+#!/bin/sh
+#
+# Debian ifupdown hook script for madwifi-ng
+#
+# Author:   Matt Brown <matt@mattb.net.nz>
+# Modified by: Kel Modderman <kelrin@tpg.com.au>
+#
+# Copyright (C) 2005 - 2006    Matt Brown
+#
+# This is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or (at your option) any later
+# version.
+#
+# This is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+# details.
+#
+# On Debian GNU/Linux systems, the text of the GPL license can be found in
+# /usr/share/common-licenses/GPL
+
+
+WLANCONFIG=/sbin/wlanconfig
+
+if [ ! -x "$WLANCONFIG" ]; then
+       exit 0
+fi
+
+if [ ! -n "$IF_MADWIFI_BASE" ]; then
+       exit 0
+fi
+
+if [ "$VERBOSITY" = "1" ]; then
+       TO_NULL="/dev/stdout"
+else
+       TO_NULL="/dev/null"
+fi
+
+if [ -n "$IF_MADWIFI_MODE" ]; then
+       MODE="$IF_MADWIFI_MODE"
+elif [ -n "$IF_WIRELESS_MODE" ]; then
+       MODE="$IF_WIRELESS_MODE"
+else
+       exit 0
+fi
+
+if [ -n "$IF_MADWIFI_VAP" ]; then
+       VAP="$IF_MADWIFI_VAP"
+else
+       VAP="$IFACE"
+fi
+
+if [ -d /proc/sys/net/$VAP ]; then
+       $WLANCONFIG $VAP destroy
+fi
+
+case "$MODE" in
+       Managed|managed|MANAGED)
+               MODE="sta"
+               ;;
+       Ad-Hoc|ad-hoc|AD-HOC)
+               MODE="adhoc"
+               ;;
+       Master|master|MASTER)
+               MODE="ap"
+               ;;
+       Monitor|monitor|MONITOR)
+               MODE="monitor"
+               ;;
+       sta|ap|wds|adhoc|ahdemo|monitor)
+               MODE="$MODE"
+               ;;
+       *)
+               MODE="sta"
+               ;;
+esac
+
+if [ -n "$IF_MADWIFI_OPTIONS" ]; then
+       $WLANCONFIG $VAP create wlandev $IF_MADWIFI_BASE wlanmode $MODE "$IF_MADWIFI_OPTIONS" >$TO_NULL
+else
+       $WLANCONFIG $VAP create wlandev $IF_MADWIFI_BASE wlanmode $MODE >$TO_NULL
+fi
+
+exit $?
diff --git a/debian/madwifi-tools.README.Debian b/debian/madwifi-tools.README.Debian
new file mode 100644 (file)
index 0000000..8ec1789
--- /dev/null
@@ -0,0 +1,119 @@
+madwifi-tools
+=============
+
+The following paragraphs briefly describe the madwifi-tools. They are
+crucial to the normal operation of the MadWifi modules.
+
+
+1. VAP's
+========
+
+What are they and why are they so special?
+
+Virtual AP (VAP) mode [1], allows the operation of multiple concurrent virtual
+access points, and concurrent virtual interfaces running in both AP and station
+mode (only one station mode VAP can exist per device).
+
+By default, one station is created per device (emulating standard behaviour).
+The autocreation behaviour [2] can be manipulated by providing an option to the
+ath_pci module when it is loaded.
+
+Usage: modprobe ath_pci autocreate=[none|sta|ap|wds|adhoc|ahdemo|monitor]
+
+The following example would disable autocreation, and only the "base" device
+would be present:- 
+
+       # modprobe ath_pci autocreate=none
+
+To make this behaviour default, create a /etc/modprobe.d/madwifi file with 
+the following content:-
+
+       options ath_pci autocreate=none
+
+Disabling autocreate is encouraged if you would like to take advantage of the
+automated VAP management techniques discussed in Section #3 of this article.
+
+[1] http://madwifi.org/wiki/ngFeatures#VAPsandwlanconfig
+[2] http://madwifi.org/wiki/UserDocs/autocreate
+
+
+2. wlanconfig
+=============
+
+This is the master tool for creating and destroying VAP's [3]. On Debian
+systems it is located at /usr/sbin/wlanconfig. It's usage is well described in
+the wlanconfig(8) manpage.
+
+[3] http://madwifi.org/wiki/UserDocs#CreatingInterfacesinmadwifing
+
+
+3. Automating VAP creation in /etc/network/interfaces
+=====================================================
+
+The following examples do not work for hotpluggable cardbus cards and the
+like that are started by ifupdown with `allow-hotplug'. To make use of VAP
+autocreation techniques you are required to use the `auto' line for your
+interface or invoke ifup manually. These methods assume that your device is
+always present.
+
+Use pre-up/post-down routines to automate VAP creation and destruction as in
+the following example:-
+
+       iface ath0 inet static
+               pre-up wlanconfig ath0 create wlandev wifi0 wlanmode ap
+               post-down wlanconfig ath0 destroy
+               wireless-essid my-essid
+               ...
+
+This package also provides useful scripts for allowing more comfortable
+creation/destruction of madwifi VAP's via special macro's in an interfaces
+/etc/network/interfaces stanza:-
+
+       iface ath0 inet static
+               madwifi-base wifi0
+               madwifi-mode sta
+               wireless-essid my-essid
+
+In the above example an `ath0' VAP would be created in the pre-up phase of ifup
+and destroyed in the post-down phase of ifdown. All VAP modes are supported via
+`madwifi-mode' and `madwifi-base' defines the parent device that the VAP should
+be created from.
+
+
+4. Setting of country code
+==========================
+
+With some cards, and in some countries, you might benefit from country specific
+frequencies by passing the parameter "countrycode" to the ath_pci kernel
+module.
+
+Under 2.6 kernels, this can be done by creating a /etc/modprobe.d/madwifi file
+with the following content:-
+
+       options ath_pci countrycode=123
+
+An online list of country codes can be found at:-
+
+       <http://www.unicode.org/onlinedat/countries.html>
+
+Or in the iso-codes package under:-
+
+       /usr/share/xml/iso-codes/iso_3166.xml
+
+madwifi only recognizes a subset of these codes, eg. "France, Metropolitan"
+(249) won't be recognized while "France" (250) is.
+
+Passing a country code parameter forbids the use of "turbog" modes (where
+multiple frequencies are used to transmit data between turbog-capable chips).
+
+For more information on how and why madwifi must honor regdomain restrictions,
+please see http://madwifi.org/wiki/UserDocs/CountryCode.
+
+
+5. Debugging tools
+==================
+
+athdebug and 80211debug are two programs that can be used to control the amount
+of debugging output (dmesg and /var/log/messages). They are best described at:-
+
+       http://madwifi.org/wiki/DevDocs/AthDebug
diff --git a/debian/madwifi-tools.dirs b/debian/madwifi-tools.dirs
new file mode 100644 (file)
index 0000000..e1ae85e
--- /dev/null
@@ -0,0 +1 @@
+sbin
diff --git a/debian/madwifi-tools.docs b/debian/madwifi-tools.docs
new file mode 100644 (file)
index 0000000..e845566
--- /dev/null
@@ -0,0 +1 @@
+README
diff --git a/debian/madwifi-tools.madwifi.modprobe b/debian/madwifi-tools.madwifi.modprobe
new file mode 100644 (file)
index 0000000..c3e681d
--- /dev/null
@@ -0,0 +1,19 @@
+## ath5k (mac80211)
+## Comment out the following line, and uncomment all of the
+## madwifi modules below to use the athk module
+blacklist ath5k
+
+## madwifi (non-free)
+#blacklist ath_hal
+#blacklist ath_pci
+#blacklist ath_rate_amrr
+#blacklist ath_rate_onoe
+#blacklist ath_rate_sample
+#blacklist wlan
+#blacklist wlan_acl
+#blacklist wlan_ccmp
+#blacklist wlan_scan_ap
+#blacklist wlan_scan_sta
+#blacklist wlan_tkip
+#blacklist wlan_wep
+#blacklist wlan_xauth
diff --git a/debian/madwifi-tools.z50madwifi.if-post-down b/debian/madwifi-tools.z50madwifi.if-post-down
new file mode 100644 (file)
index 0000000..b4cad08
--- /dev/null
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# Debian ifupdown hook script for madwifi-ng
+#
+# Author: Matt Brown <matt@mattb.net.nz>
+# Modified by: Kel Modderman <kelrin@tpg.com.au>
+#
+# Copyright (C) 2005 - 2006   Matt Brown
+#
+# This is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or (at your option) any later
+# version.
+#
+# This is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+# details.
+#
+# On Debian GNU/Linux systems, the text of the GPL license can be found in
+# /usr/share/common-licenses/GPL
+
+WLANCONFIG=/sbin/wlanconfig
+
+if [ ! -x "$WLANCONFIG" ]; then
+       exit 0
+fi
+
+if [ ! -n "$IF_MADWIFI_BASE" ]; then
+       exit 0
+fi
+
+if [ -n "$IF_MADWIFI_VAP" ]; then
+       VAP="$IF_MADWIFI_VAP"
+else
+       VAP="$IFACE"
+fi
+
+# Destroy 
+$WLANCONFIG $VAP destroy
+
+exit $?
diff --git a/debian/patches/01_mips-compile-flags-fix.patch b/debian/patches/01_mips-compile-flags-fix.patch
new file mode 100644 (file)
index 0000000..13505ab
--- /dev/null
@@ -0,0 +1,30 @@
+mips-compile-flags-fix.patch by Aurelien Jarno <aurel32@debian.org>
+
+madwifi fails to build on MIPS32 CPU due to a bug in the build system.
+On those systems, the -mips1 option is passed to GCC, which conflicts
+with the -mips32 option passed by the kernel build system.
+
+Also the -EL or -EB options are issuing warnings, as they are only
+available on the other endianess system (-EL is available on mips, -EB
+on mipsel). The default endianess is sane, there is no need to force it,
+and anyway the kernel build system already handle that.
+---
+
+--- a/hal/public/mips1-be-elf.inc
++++ b/hal/public/mips1-be-elf.inc
+@@ -68,5 +68,5 @@
+ LDOPTS=       -EB
+ COPTS+=       -DAH_BYTE_ORDER=AH_BIG_ENDIAN
+-COPTS+=       -G 0 -EB -mno-abicalls -fno-pic -mips1 -Wa,--trap \
++COPTS+=       -G 0 -mno-abicalls -fno-pic -Wa,--trap \
+       -fno-strict-aliasing -fno-common -fomit-frame-pointer -mlong-calls
+--- a/hal/public/mips1-le-elf.inc
++++ b/hal/public/mips1-le-elf.inc
+@@ -68,5 +68,5 @@
+ LDOPTS=       -EL
+ COPTS+=       -DAH_BYTE_ORDER=AH_LITTLE_ENDIAN
+-COPTS+=       -G 0 -EL -mno-abicalls -fno-pic -mips1 -Wa,--trap \
++COPTS+=       -G 0 -mno-abicalls -fno-pic -Wa,--trap \
+       -fno-strict-aliasing -fno-common -fomit-frame-pointer -mlong-calls
diff --git a/debian/patches/02_manpages.patch b/debian/patches/02_manpages.patch
new file mode 100644 (file)
index 0000000..d2865ec
--- /dev/null
@@ -0,0 +1,62 @@
+Author: gregor herrmann <gregoa@debian.org>
+Description: fix manpages (hyphen/minus)
+
+--- a/tools/man/80211debug.8
++++ b/tools/man/80211debug.8
+@@ -3,7 +3,7 @@
+ \fB80211debug\fP \- control the debug output from the madwifi 802.11 stack
+ .SH "SYNOPSIS"
+ .B 80211debug
+-[-i interface] +/\- bitmap
++[\-i interface] +/\- bitmap
+ .SH "DESCRIPTION"
+ Set and clear debug bitmaps for the madwifi 802.11 stack. Each argument is a 
+ bitmap or its alias. If a bitmap alias is used then it must be prefixed by 
+--- a/tools/man/athchans.8
++++ b/tools/man/athchans.8
+@@ -3,7 +3,7 @@
+ \fBathchans\fP \- define channel range of madwifi devices
+ .SH "SYNOPSIS"
+ .B athchans
+-[-i device] channel_range
++[\-i device] channel_range
+ .SH "DESCRIPTION"
+ Athchans constrains the set of channels used when scanning for access points,
+ peers in an IBSS network, or looking for unoccupied channels when operating as
+--- a/tools/man/athctrl.8
++++ b/tools/man/athctrl.8
+@@ -3,7 +3,7 @@
+ \fBathctrl\fP \- sets the maximum distance between communicating stations
+ .SH "SYNOPSIS"
+ .B athctrl
+-[-h] [-i device] [-d distance]
++[\-h] [\-i device] [\-d distance]
+ .SH "DESCRIPTION"
+ \fBathctrl\fP sets the maximum distance in meters of stations with which 
+ communication occurs. This distance metric determines how much time the radio
+--- a/tools/man/athdebug.8
++++ b/tools/man/athdebug.8
+@@ -3,7 +3,7 @@
+ \fBathdebug\fP \- control the debug output from the madwifi device subsystem
+ .SH "SYNOPSIS"
+ .B athdebug
+-[-i device] +/\- bitmap
++[\-i device] +/\- bitmap
+ .SH "DESCRIPTION"
+ Set and clear debug bitmaps for the madwifi ath device subsystem. Each argument
+ is a bitmap or its alias. If a bitmap alias is used then it must be prefixed by 
+--- a/tools/man/athkey.8
++++ b/tools/man/athkey.8
+@@ -3,10 +3,10 @@
+ \fBathkey\fP \- manage encryption type and keys of madwifi devices
+ .SH "SYNOPSIS"
+ .B athkey
+-[-i device] [-d] keyix cipher keyval [mac]
++[\-i device] [\-d] keyix cipher keyval [mac]
+ .SH "DESCRIPTION"
+ Each device may have up to four keys; the first argument required is the key
+-index. The "-d" option may be specified to delete the key associated with the
++index. The "\-d" option may be specified to delete the key associated with the
+ selected key index. Otherwise, the other arguments required are a cipher type
+ and a key value encoded as a hexadecimal literal. A MAC address may be given as
+ a final argument; if given, the key will be considered valid only for the
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644 (file)
index 0000000..57696a1
--- /dev/null
@@ -0,0 +1,2 @@
+01_mips-compile-flags-fix.patch
+02_manpages.patch
diff --git a/debian/rules b/debian/rules
new file mode 100755 (executable)
index 0000000..5ff9ee6
--- /dev/null
@@ -0,0 +1,53 @@
+#!/usr/bin/make -f
+
+VERSION:=$(shell dpkg-parsechangelog|grep "^Version:"|cut -d" " -f2|rev|cut -d- -f2-|rev|cut -d':' -f2)
+TMP=$(CURDIR)/debian/tmp
+
+%:
+       dh $@ --with dkms
+
+override_dh_clean:
+       dh_clean
+       $(RM) -r $(TMP)
+
+override_dh_auto_build:
+       DESTDIR=$(CURDIR)/debian/madwifi-tools $(MAKE) -C $(CURDIR)/tools all
+
+override_dh_auto_install:
+ifneq (,$(findstring madwifi-source, $(shell dh_listpackages)))
+       # madwifi-source
+       install -D -m 0755 debian/rules.modules \
+               $(TMP)/modules/madwifi/debian/rules
+
+       for f in *.modules.in control compat copyright changelog; do \
+               install -m 0644 debian/$$f \
+                       $(TMP)/modules/madwifi/debian/; \
+       done
+
+       find . -path ./debian/\* -type d -prune -o -printf "%P\n" | \
+               egrep -v 'debian|contrib|regression|tools|\.svn|\.pc|*-stamp' | \
+               cpio -admp $(TMP)/modules/madwifi/
+
+       tar jcf debian/madwifi-source/usr/src/madwifi.tar.bz2 \
+               -C $(TMP) modules
+
+       # madwifi-dkms
+       $(RM) -r $(TMP)/modules/madwifi/debian
+       mv $(TMP)/modules/madwifi debian/madwifi-dkms/usr/src/madwifi-$(VERSION)
+endif
+
+       # madwifi-tools
+       DESTDIR=$(CURDIR)/debian/madwifi-tools BINDIR=/usr/sbin MANDIR=/usr/share/man \
+               $(MAKE) -C $(CURDIR)/tools install
+       $(RM) $(CURDIR)/debian/madwifi-tools/usr/sbin/madwifi-unload
+       mv $(CURDIR)/debian/madwifi-tools/usr/sbin/wlanconfig $(CURDIR)/debian/madwifi-tools/sbin
+
+override_dh_dkms:
+       dh_dkms -V $(VERSION)
+
+override_dh_installmodules:
+       dh_installmodules -p madwifi-tools --name=madwifi
+
+override_dh_installifupdown:
+       dh_installifupdown -p madwifi-tools --name=050madwifi
+       dh_installifupdown -p madwifi-tools --name=z50madwifi
diff --git a/debian/rules.modules b/debian/rules.modules
new file mode 100644 (file)
index 0000000..5706bdf
--- /dev/null
@@ -0,0 +1,42 @@
+#!/usr/bin/make -f
+
+PACKAGE := madwifi-modules
+MA_DIR ?= /usr/share/modass
+-include $(MA_DIR)/include/generic.make
+-include $(MA_DIR)/include/common-rules.make
+
+.PHONY: kdist_config
+kdist_config: prep-deb-files
+
+.PHONY: binary-modules
+binary-modules: kdist_config
+       dh_testdir
+       dh_testroot
+       dh_clean -k
+       
+       # Build modules
+       $(MAKE) -C $(CURDIR) modules \
+       KERNELPATH=$(KSRC) KERNELRELEASE=$(KVERS) KERNELCONF=$(KSRC)/.config
+       
+       # Install modules
+       $(MAKE) -C $(CURDIR) install-modules \
+       KERNELPATH=$(KSRC) KERNELRELEASE=$(KVERS) KERNELCONF=$(KSRC)/.config \
+       DESTDIR=$(CURDIR)/debian/$(PKGNAME) KMODPATH=/lib/modules/$(KVERS)/kernel/drivers/net
+
+       dh_installdocs
+       dh_installchangelogs
+       dh_compress
+       dh_fixperms
+       dh_installmodules
+       dh_installdeb
+       dh_gencontrol -- -v$(VERSION)
+       dh_md5sums
+       dh_builddeb --destdir=$(DEB_DESTDIR)
+
+.PHONY: kdist_clean
+kdist_clean:
+       dh_testdir
+       dh_testroot
+       dh_clean
+       $(MAKE) -C $(CURDIR) clean \
+       KERNELPATH=$(KSRC) KERNELRELEASE=$(KVERS) KERNELCONF=$(KSRC)/.config
diff --git a/debian/source/format b/debian/source/format
new file mode 100644 (file)
index 0000000..163aaf8
--- /dev/null
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/watch b/debian/watch
new file mode 100644 (file)
index 0000000..a6f9ef0
--- /dev/null
@@ -0,0 +1,3 @@
+version=3
+options="uversionmangle=s/-r/+r/;s/\-(20\d{6})/.$1/;" \
+http://snapshots.madwifi-project.org/madwifi-0.9.4/ madwifi-(0\.9\.4-r\d{4,}-20\d{6})\.tar\.gz